/**
* Note: This file was auto-generated by TI PinMux on 3/5/2024 at 10:58:39 AM.
*
* \file  AM64x_pinmux_data.c
*
* \brief  This file contains the pin mux configurations for the boards.
*         These are prepared based on how the peripherals are extended on
*         the boards.
*
* \copyright Copyright (CU) 2024 Texas Instruments Incorporated -
*             http://www.ti.com/
*/

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */

#include "AM64x_pinmux.h"

/** Peripheral Pin Configurations */


static pinmuxPerCfg_t gEpwm4PinCfg[] =
{
    /* MyEPWM1 -> EHRPWM4_A -> R18 */
    {
        PIN_GPMC0_OEN_REN, PIN_MODE(3) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyEPWM1 -> EHRPWM4_B -> T21 */
    {
        PIN_GPMC0_WEN, PIN_MODE(3) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gEpwm5PinCfg[] =
{
    /* MyEPWM2 -> EHRPWM5_A -> T19 */
    {
        PIN_GPMC0_BE1N, PIN_MODE(3) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyEPWM2 -> EHRPWM5_B -> W19 */
    {
        PIN_GPMC0_WAIT0, PIN_MODE(3) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gEpwmPinCfg[] =
{
    {4, TRUE, gEpwm4PinCfg},
    {5, TRUE, gEpwm5PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gGpio0PinCfg[] =
{
    /* MyGPIO1 -> GPIO0_13 -> K17 */
    {
        PIN_OSPI0_CSN2, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_14 -> L17 */
    {
        PIN_OSPI0_CSN3, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_32 -> P16 */
    {
        PIN_GPMC0_ADVN_ALE, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_35 -> P17 */
    {
        PIN_GPMC0_BE0N_CLE, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_38 -> Y18 */
    {
        PIN_GPMC0_WAIT1, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_39 -> N16 */
    {
        PIN_GPMC0_WPN, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_40 -> N17 */
    {
        PIN_GPMC0_DIR, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_41 -> R19 */
    {
        PIN_GPMC0_CSN0, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_42 -> R20 */
    {
        PIN_GPMC0_CSN1, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_45 -> Y7 */
    {
        PIN_PRG1_PRU0_GPO0, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_46 -> U8 */
    {
        PIN_PRG1_PRU0_GPO1, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_48 -> V8 */
    {
        PIN_PRG1_PRU0_GPO3, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_49 -> Y8 */
    {
        PIN_PRG1_PRU0_GPO4, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_60 -> Y9 */
    {
        PIN_PRG1_PRU0_GPO15, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_61 -> V9 */
    {
        PIN_PRG1_PRU0_GPO16, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_62 -> U7 */
    {
        PIN_PRG1_PRU0_GPO17, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_63 -> V7 */
    {
        PIN_PRG1_PRU0_GPO18, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO1 -> GPIO0_64 -> W7 */
    {
        PIN_PRG1_PRU0_GPO19, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gGpio1PinCfg[] =
{
    /* MyGPIO2 -> GPIO1_43 -> C13 */
    {
        PIN_SPI0_CS1, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO2 -> GPIO1_47 -> B14 */
    {
        PIN_SPI1_CS0, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO2 -> GPIO1_48 -> D14 */
    {
        PIN_SPI1_CS1, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO2 -> GPIO1_49 -> C14 */
    {
        PIN_SPI1_CLK, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO2 -> GPIO1_50 -> B15 */
    {
        PIN_SPI1_D0, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO2 -> GPIO1_51 -> A15 */
    {
        PIN_SPI1_D1, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO2 -> GPIO1_58 -> D16 */
    {
        PIN_UART1_CTSN, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO2 -> GPIO1_59 -> E16 */
    {
        PIN_UART1_RTSN, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO2 -> GPIO1_70 -> C19 */
    {
        PIN_EXTINTN, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO2 -> GPIO1_78 -> C20 */
    {
        PIN_MMC1_SDWP, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyGPIO2 -> GPIO1_79 -> E19 */
    {
        PIN_USB0_DRVVBUS, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gGpioPinCfg[] =
{
    {0, TRUE, gGpio0PinCfg},
    {1, TRUE, gGpio1PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gI2c0PinCfg[] =
{
    /* PMIC + Board ID + Others -> I2C0_SCL -> A18 */
    {
        PIN_I2C0_SCL, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* PMIC + Board ID + Others -> I2C0_SDA -> B18 */
    {
        PIN_I2C0_SDA, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gI2c1PinCfg[] =
{
    /* IO Expander + Temp Sensor + LEDs -> I2C1_SCL -> C18 */
    {
        PIN_I2C1_SCL, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* IO Expander + Temp Sensor + LEDs -> I2C1_SDA -> B19 */
    {
        PIN_I2C1_SDA, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gI2c2PinCfg[] =
{
    /* MyI2C3 -> I2C2_SCL -> P19 */
    {
        PIN_GPMC0_CSN2, PIN_MODE(1) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyI2C3 -> I2C2_SDA -> R21 */
    {
        PIN_GPMC0_CSN3, PIN_MODE(1) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gI2cPinCfg[] =
{
    {0, TRUE, gI2c0PinCfg},
    {1, TRUE, gI2c1PinCfg},
    {2, TRUE, gI2c2PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gJtag0PinCfg[] =
{
    /* MyJTAG1 -> EMU0 -> D10 */
    {
        PIN_EMU0, PIN_MODE(0) | \
        ((PIN_PULL_DIRECTION | PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE))
    },
    /* MyJTAG1 -> EMU1 -> E10 */
    {
        PIN_EMU1, PIN_MODE(0) | \
        ((PIN_PULL_DIRECTION | PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE))
    },
    /* MyJTAG1 -> TCK -> B11 */
    {
        PIN_TCK, PIN_MODE(0) | \
        ((PIN_PULL_DIRECTION | PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE))
    },
    /* MyJTAG1 -> TDI -> C11 */
    {
        PIN_TDI, PIN_MODE(0) | \
        ((PIN_PULL_DIRECTION | PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE))
    },
    /* MyJTAG1 -> TDO -> A12 */
    {
        PIN_TDO, PIN_MODE(0) | \
        ((PIN_PULL_DIRECTION) & (~PIN_PULL_DISABLE & ~PIN_INPUT_ENABLE))
    },
    /* MyJTAG1 -> TMS -> C12 */
    {
        PIN_TMS, PIN_MODE(0) | \
        ((PIN_PULL_DIRECTION | PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE))
    },
    /* MyJTAG1 -> TRSTn -> D11 */
    {
        PIN_TRSTN, PIN_MODE(0) | \
        ((PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE & ~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gJtagPinCfg[] =
{
    {0, TRUE, gJtag0PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gMcu_gpio0PinCfg[] =
{
    /* MyMCU_GPIO1 -> MCU_GPIO0_6 -> B7 */
    {
        PIN_MCU_SPI1_CS1, PIN_MODE(7) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gMcu_gpioPinCfg[] =
{
    {0, TRUE, gMcu_gpio0PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gMcu_i2c0PinCfg[] =
{
    /* J9_I2C -> MCU_I2C0_SCL -> E9 */
    {
        PIN_MCU_I2C0_SCL, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* J9_I2C -> MCU_I2C0_SDA -> A10 */
    {
        PIN_MCU_I2C0_SDA, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gMcu_i2c1PinCfg[] =
{
    /* MyMCU_I2C2 -> MCU_I2C1_SCL -> A11 */
    {
        PIN_MCU_I2C1_SCL, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCU_I2C2 -> MCU_I2C1_SDA -> B10 */
    {
        PIN_MCU_I2C1_SDA, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gMcu_i2cPinCfg[] =
{
    {0, TRUE, gMcu_i2c0PinCfg},
    {1, TRUE, gMcu_i2c1PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gMcu_spi0PinCfg[] =
{
    /* MyMCU_SPI1 -> MCU_SPI0_CLK -> E6 */
    {
        PIN_MCU_SPI0_CLK, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCU_SPI1 -> MCU_SPI0_CS0 -> D6 */
    {
        PIN_MCU_SPI0_CS0, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCU_SPI1 -> MCU_SPI0_CS1 -> C6 */
    {
        PIN_MCU_SPI0_CS1, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCU_SPI1 -> MCU_SPI0_D0 -> E7 */
    {
        PIN_MCU_SPI0_D0, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCU_SPI1 -> MCU_SPI0_D1 -> B6 */
    {
        PIN_MCU_SPI0_D1, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gMcu_spiPinCfg[] =
{
    {0, TRUE, gMcu_spi0PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gMcu_system0PinCfg[] =
{
    /* MyMCU_SYSTEM1 -> MCU_PORz -> B21 */
    {
        PIN_MCU_PORZ, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCU_SYSTEM1 -> MCU_RESETSTATz -> B13 */
    {
        PIN_MCU_RESETSTATZ, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyMCU_SYSTEM1 -> MCU_RESETz -> B12 */
    {
        PIN_MCU_RESETZ, PIN_MODE(0) | \
        ((PIN_PULL_DIRECTION | PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE))
    },
    /* MyMCU_SYSTEM1 -> MCU_SAFETY_ERRORn -> A20 */
    {
        PIN_MCU_SAFETY_ERRORN, PIN_MODE(0) | \
        ((PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE & ~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gMcu_systemPinCfg[] =
{
    {0, TRUE, gMcu_system0PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gMcu_uart0PinCfg[] =
{
    /* MyMCU_UART1 -> MCU_UART0_CTSn -> D8 */
    {
        PIN_MCU_UART0_CTSN, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCU_UART1 -> MCU_UART0_RTSn -> E8 */
    {
        PIN_MCU_UART0_RTSN, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyMCU_UART1 -> MCU_UART0_RXD -> A9 */
    {
        PIN_MCU_UART0_RXD, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCU_UART1 -> MCU_UART0_TXD -> A8 */
    {
        PIN_MCU_UART0_TXD, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gMcu_uart1PinCfg[] =
{
    /* MyMCU_UART2 -> MCU_UART1_CTSn -> B8 */
    {
        PIN_MCU_UART1_CTSN, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCU_UART2 -> MCU_UART1_RTSn -> B9 */
    {
        PIN_MCU_UART1_RTSN, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyMCU_UART2 -> MCU_UART1_RXD -> C9 */
    {
        PIN_MCU_UART1_RXD, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMCU_UART2 -> MCU_UART1_TXD -> D9 */
    {
        PIN_MCU_UART1_TXD, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gMcu_uartPinCfg[] =
{
    {0, TRUE, gMcu_uart0PinCfg},
    {1, TRUE, gMcu_uart1PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gMdio0PinCfg[] =
{
    /* MyMDIO1 -> MDIO0_MDC -> R2 */
    {
        PIN_PRG0_PRU1_GPO19, PIN_MODE(4) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyMDIO1 -> MDIO0_MDIO -> P5 */
    {
        PIN_PRG0_PRU1_GPO18, PIN_MODE(4) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gMdioPinCfg[] =
{
    {0, TRUE, gMdio0PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gMmc11PinCfg[] =
{
    /* MyMMC11 -> MMC1_CMD -> J19 */
    {
        PIN_MMC1_CMD, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMMC11 -> MMC1_CLK -> L20 */
    {
        PIN_MMC1_CLK, PIN_MODE(0) | \
        ((PIN_PULL_DIRECTION) & (~PIN_PULL_DISABLE & ~PIN_INPUT_ENABLE))
    },
    /* MyMMC11 -> MMC1_DAT0 -> K21 */
    {
        PIN_MMC1_DAT0, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyMMC11 -> MMC1_DAT1 -> L21 */
    {
        PIN_MMC1_DAT1, PIN_MODE(0) | \
        ((PIN_PULL_DIRECTION | PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE))
    },
    /* MyMMC11 -> MMC1_DAT2 -> K19 */
    {
        PIN_MMC1_DAT2, PIN_MODE(0) | \
        ((PIN_PULL_DIRECTION | PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE))
    },
    /* MyMMC11 -> MMC1_DAT3 -> K18 */
    {
        PIN_MMC1_DAT3, PIN_MODE(0) | \
        ((PIN_PULL_DIRECTION | PIN_INPUT_ENABLE) & (~PIN_PULL_DISABLE))
    },
    /* MyMMC11 -> MMC1_SDCD -> D19 */
    {
        PIN_MMC1_SDCD, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gMmc1PinCfg[] =
{
    {1, TRUE, gMmc11PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gOspi0PinCfg[] =
{
    /* MyOSPI1 -> OSPI0_CLK -> N20 */
    {
        PIN_OSPI0_CLK, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyOSPI1 -> OSPI0_CSn0 -> L19 */
    {
        PIN_OSPI0_CSN0, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyOSPI1 -> OSPI0_D0 -> M19 */
    {
        PIN_OSPI0_D0, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyOSPI1 -> OSPI0_D1 -> M18 */
    {
        PIN_OSPI0_D1, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyOSPI1 -> OSPI0_D2 -> M20 */
    {
        PIN_OSPI0_D2, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyOSPI1 -> OSPI0_D3 -> M21 */
    {
        PIN_OSPI0_D3, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyOSPI1 -> OSPI0_D4 -> P21 */
    {
        PIN_OSPI0_D4, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyOSPI1 -> OSPI0_D5 -> P20 */
    {
        PIN_OSPI0_D5, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyOSPI1 -> OSPI0_D6 -> N18 */
    {
        PIN_OSPI0_D6, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyOSPI1 -> OSPI0_D7 -> M17 */
    {
        PIN_OSPI0_D7, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyOSPI1 -> OSPI0_DQS -> N19 */
    {
        PIN_OSPI0_DQS, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gOspiPinCfg[] =
{
    {0, TRUE, gOspi0PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gPru_icssg0_mdio0PinCfg[] =
{
    /* MyPRU_ICSSG0_MDIO1 -> PRG0_MDIO0_MDC -> P3 */
    {
        PIN_PRG0_MDIO0_MDC, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG0_MDIO1 -> PRG0_MDIO0_MDIO -> P2 */
    {
        PIN_PRG0_MDIO0_MDIO, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gPru_icssg0_mdioPinCfg[] =
{
    {0, TRUE, gPru_icssg0_mdio0PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gPru_icssg0_pru0PinCfg[] =
{
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO0 -> Y1 */
    {
        PIN_PRG0_PRU0_GPO0, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO1 -> R4 */
    {
        PIN_PRG0_PRU0_GPO1, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO10 -> AA5 */
    {
        PIN_PRG0_PRU0_GPO10, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO11 -> Y3 */
    {
        PIN_PRG0_PRU0_GPO11, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO12 -> AA3 */
    {
        PIN_PRG0_PRU0_GPO12, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO13 -> R6 */
    {
        PIN_PRG0_PRU0_GPO13, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO14 -> V4 */
    {
        PIN_PRG0_PRU0_GPO14, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO15 -> T5 */
    {
        PIN_PRG0_PRU0_GPO15, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO16 -> U4 */
    {
        PIN_PRG0_PRU0_GPO16, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO17 -> U1 */
    {
        PIN_PRG0_PRU0_GPO17, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO18 -> V1 */
    {
        PIN_PRG0_PRU0_GPO18, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO19 -> W1 */
    {
        PIN_PRG0_PRU0_GPO19, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO2 -> U2 */
    {
        PIN_PRG0_PRU0_GPO2, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO3 -> V2 */
    {
        PIN_PRG0_PRU0_GPO3, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO4 -> AA2 */
    {
        PIN_PRG0_PRU0_GPO4, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO5 -> R3 */
    {
        PIN_PRG0_PRU0_GPO5, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO6 -> T3 */
    {
        PIN_PRG0_PRU0_GPO6, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO7 -> T1 */
    {
        PIN_PRG0_PRU0_GPO7, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO8 -> T2 */
    {
        PIN_PRG0_PRU0_GPO8, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU1 -> PRG0_PRU0_GPO9 -> W6 */
    {
        PIN_PRG0_PRU0_GPO9, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gPru_icssg0_pru1PinCfg[] =
{
    /* MyPRU_ICSSG0_PRU2 -> PRG0_PRU1_GPO0 -> Y2 */
    {
        PIN_PRG0_PRU1_GPO0, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU2 -> PRG0_PRU1_GPO1 -> W2 */
    {
        PIN_PRG0_PRU1_GPO1, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU2 -> PRG0_PRU1_GPO10 -> V6 */
    {
        PIN_PRG0_PRU1_GPO10, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU2 -> PRG0_PRU1_GPO11 -> W4 */
    {
        PIN_PRG0_PRU1_GPO11, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU2 -> PRG0_PRU1_GPO12 -> Y4 */
    {
        PIN_PRG0_PRU1_GPO12, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU2 -> PRG0_PRU1_GPO13 -> T6 */
    {
        PIN_PRG0_PRU1_GPO13, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU2 -> PRG0_PRU1_GPO14 -> U6 */
    {
        PIN_PRG0_PRU1_GPO14, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU2 -> PRG0_PRU1_GPO15 -> U5 */
    {
        PIN_PRG0_PRU1_GPO15, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU2 -> PRG0_PRU1_GPO16 -> AA4 */
    {
        PIN_PRG0_PRU1_GPO16, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU2 -> PRG0_PRU1_GPO17 -> V5 */
    {
        PIN_PRG0_PRU1_GPO17, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU2 -> PRG0_PRU1_GPO2 -> V3 */
    {
        PIN_PRG0_PRU1_GPO2, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU2 -> PRG0_PRU1_GPO3 -> T4 */
    {
        PIN_PRG0_PRU1_GPO3, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU2 -> PRG0_PRU1_GPO4 -> W3 */
    {
        PIN_PRG0_PRU1_GPO4, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU2 -> PRG0_PRU1_GPO5 -> P4 */
    {
        PIN_PRG0_PRU1_GPO5, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU2 -> PRG0_PRU1_GPO6 -> R5 */
    {
        PIN_PRG0_PRU1_GPO6, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU2 -> PRG0_PRU1_GPO7 -> W5 */
    {
        PIN_PRG0_PRU1_GPO7, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU2 -> PRG0_PRU1_GPO8 -> R1 */
    {
        PIN_PRG0_PRU1_GPO8, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyPRU_ICSSG0_PRU2 -> PRG0_PRU1_GPO9 -> Y5 */
    {
        PIN_PRG0_PRU1_GPO9, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gPru_icssg0_pruPinCfg[] =
{
    {0, TRUE, gPru_icssg0_pru0PinCfg},
    {1, TRUE, gPru_icssg0_pru1PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gPru_icssg1_mdio0PinCfg[] =
{
    /* MyPRU_ICSSG1_MDIO1 -> PRG1_MDIO0_MDC -> Y6 */
    {
        PIN_PRG1_MDIO0_MDC, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyPRU_ICSSG1_MDIO1 -> PRG1_MDIO0_MDIO -> AA6 */
    {
        PIN_PRG1_MDIO0_MDIO, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gPru_icssg1_mdioPinCfg[] =
{
    {0, TRUE, gPru_icssg1_mdio0PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gSpi0PinCfg[] =
{
    /* MySPI1 -> SPI0_CLK -> D13 */
    {
        PIN_SPI0_CLK, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MySPI1 -> SPI0_CS0 -> D12 */
    {
        PIN_SPI0_CS0, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MySPI1 -> SPI0_D0 -> A13 */
    {
        PIN_SPI0_D0, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MySPI1 -> SPI0_D1 -> A14 */
    {
        PIN_SPI0_D1, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gSpiPinCfg[] =
{
    {0, TRUE, gSpi0PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gSystem0PinCfg[] =
{
    /* MySYSTEM1 -> CLKOUT0 -> A19 */
    {
        PIN_EXT_REFCLK1, PIN_MODE(5) | \
        ((PIN_PULL_DIRECTION) & (~PIN_PULL_DISABLE & ~PIN_INPUT_ENABLE))
    },
    /* MySYSTEM1 -> PORz_OUT -> E17 */
    {
        PIN_PORZ_OUT, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MySYSTEM1 -> RESETSTATz -> F16 */
    {
        PIN_RESETSTATZ, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gSystemPinCfg[] =
{
    {0, TRUE, gSystem0PinCfg},
    {PINMUX_END}
};


static pinmuxPerCfg_t gUart0PinCfg[] =
{
    /* MyUART1 -> UART0_CTSn -> B16 */
    {
        PIN_UART0_CTSN, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyUART1 -> UART0_RTSn -> A16 */
    {
        PIN_UART0_RTSN, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    /* MyUART1 -> UART0_RXD -> D15 */
    {
        PIN_UART0_RXD, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyUART1 -> UART0_TXD -> C16 */
    {
        PIN_UART0_TXD, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gUart1PinCfg[] =
{
    /* MyUART2 -> UART1_RXD -> E15 */
    {
        PIN_UART1_RXD, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyUART2 -> UART1_TXD -> E14 */
    {
        PIN_UART1_TXD, PIN_MODE(0) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxPerCfg_t gUart5PinCfg[] =
{
    /* MyUART3 -> UART5_RXD -> C17 */
    {
        PIN_MCAN1_TX, PIN_MODE(5) | \
        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
    },
    /* MyUART3 -> UART5_TXD -> D17 */
    {
        PIN_MCAN1_RX, PIN_MODE(5) | \
        ((PIN_PULL_DISABLE) & (~PIN_PULL_DIRECTION & ~PIN_INPUT_ENABLE))
    },
    {PINMUX_END}
};

static pinmuxModuleCfg_t gUartPinCfg[] =
{
    {0, TRUE, gUart0PinCfg},
    {1, TRUE, gUart1PinCfg},
    {5, TRUE, gUart5PinCfg},
    {PINMUX_END}
};


pinmuxBoardCfg_t gAM64x_MainPinmuxData[] =
{
    {0, gEpwmPinCfg},
    {1, gGpioPinCfg},
    {2, gI2cPinCfg},
    {3, gJtagPinCfg},
    {4, gMdioPinCfg},
    {5, gMmc1PinCfg},
    {6, gOspiPinCfg},
    {7, gPru_icssg0_mdioPinCfg},
    {8, gPru_icssg0_pruPinCfg},
    {9, gPru_icssg1_mdioPinCfg},
    {10, gSpiPinCfg},
    {11, gSystemPinCfg},
    {12, gUartPinCfg},
    {PINMUX_END}
};

pinmuxBoardCfg_t gAM64x_McuPinmuxData[] =
{
    {0, gMcu_gpioPinCfg},
    {1, gMcu_i2cPinCfg},
    {2, gMcu_spiPinCfg},
    {3, gMcu_systemPinCfg},
    {4, gMcu_uartPinCfg},
    {PINMUX_END}
};
